@charset "utf-8";

/*--------------------------------------------------*/
/* c-section--step */
/*--------------------------------------------------*/

.c-section--step {
	position: relative;
	padding-top: 50px;
	padding-bottom: 70px;
	background-color: #F0F9FE;
}

/*--------------------------------------------------*/
/* c-step-wrapper */
/*--------------------------------------------------*/

.c-step-wrapper {
	position: relative;
	width: 80%;
	max-width: 1560px;
	margin: 0 auto;
	background-color: #fff;
	box-shadow: 0 8px 24px rgba(40,40,40,0.16);
}

@media (max-width: 767px) {
	.c-step-wrapper {
		width: 90%;
	}
}

/*--------------------------------------------------*/
/* c-step-bar */
/*--------------------------------------------------*/

.c-step-bar {
	display: flex;
	width: 100%;
	height: 50px;
	overflow: hidden;
	border: 2px solid #0070bf;
	list-style-type: none;
}

.c-step-bar:has(> .c-step-bar__item:last-child.is-active) {
	background-color: #0070bf;
}

/*--------------------------------------------------*/
/* c-step-bar__item */
/*--------------------------------------------------*/

.c-step-bar__item {
	position: relative;
	background-color: #fff;
	flex-grow: 1;
}

.c-step-bar__item.is-active {
	background-color: #0070bf;
}

.c-step-bar__item:last-child::after,
.c-step-bar__item:last-child::before {
	display: none;
}

.c-step-bar__item::after,
.c-step-bar__item::before {
	content: "";
	position: absolute;
	top: -2px;
	width: 0;
	height: 0;
	z-index: 1;
	border: 25px solid transparent;
	border-right-width: 0;
}

.c-step-bar__item::before {
	right: -25px;
	border-left-color: #0070bf;
}

.c-step-bar__item::after {
	right: -23px;
	border-left-color: #fff;
}

.c-step-bar__item.is-active::after {
	border-left-color: #0070bf;
}

.c-step-bar__item:not(.is-active):hover {
	background-color: #f2faff;
}

.c-step-bar__item:not(.is-active):hover::after {
	border-left-color: #f2faff;
}

@media (max-width: 767px) {
	.c-step-bar__item::before,
	.c-step-bar__item::after {
		border-left-width: 18px;
	}

	.c-step-bar__item::before {
		right: -18px;
	}

	.c-step-bar__item::after {
		right: -16px;
	}
}

/*--------------------------------------------------*/
/* c-step-bar__btn */
/*--------------------------------------------------*/

.c-step-bar__btn {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 100%;

	position: relative;
	z-index: 2;
	padding: 0;
	appearance: none;
	cursor: pointer;
	line-height: 1.4;
	border: 0;
	background-color: transparent;
	font-weight: 700;
	font-size: 100%;
	font-family: inherit;
	font-feature-settings: "palt";
	text-decoration: none;
	color: #0070bf;
}

.c-step-bar__item.is-active > .c-step-bar__btn {
	color: #fff;
}

@media (max-width: 767px) {
	.c-step-bar__btn {
		flex-direction: column;
		font-size: 1.4rem;
	}

	.c-step-bar__btn > span {
		font-size: 1rem;
	}

	.c-step-bar__item:not(:first-child) > .c-step-bar__btn {
		padding-left: 1em;
	}
}

/*--------------------------------------------------*/
/* c-step-slider */
/*--------------------------------------------------*/

.c-step-slider {
	position: relative;
}

.c-step-slider .c-section__inner-w900 {
	padding: 40px 0 !important;
}

/* slick-arrow
------------------------------------------*/

.c-step-slider > .slick-arrow {
	top: 40px;
	bottom: auto;
	width: 40px;
	height: 40px;
	border: 2px solid #0072bc;
	border-radius: 20px;
	box-shadow: 0 2px 0 #0072bc;
	background-color: #fff;
}

.c-step-slider > .slick-arrow:hover {
	background-color: #f2faff;
}

.c-step-slider > .slick-arrow:hover,
.c-step-slider > .slick-arrow:focus {
	opacity: 1;
}

.c-step-slider > .slick-arrow:focus {
	outline: #101010 auto 1px;
}

.c-step-slider > .slick-arrow:active {
	box-shadow: 0 0 0 #0072bc;
	transform: translateY(4px);
}

.c-step-slider > .slick-arrow.slick-disabled {
	visibility: hidden;
}

.c-step-slider > .slick-arrow::before {
	width: 40px;
	height: 40px;
	top: 1px;
	background-image: url(/cmn3/img/icon/ic_arrow_right.svg);
	background-size: 9px 15px;
}

@media (max-width: 767px) {
	.c-step-slider > .slick-arrow,
	.c-step-slider > .slick-arrow::before {
		width: 32px;
		height: 32px;
	}

	.c-step-slider > .slick-arrow::before {
		background-size: 8px 14px;
	}
}

/* slick-prev, slick-next
------------------------------------------*/

.c-step-slider > .slick-prev {
	left: -20px;
}

.c-step-slider > .slick-next {
	right: -20px;
}

.c-step-slider > .slick-prev::before {
	background-position-x: 55%;
}

@media (max-width: 767px) {
	.c-step-slider > .slick-prev {
		left: -16px;
	}

	.c-step-slider > .slick-next {
		right: -16px;
	}
}

/*--------------------------------------------------*/
/* c-step-title */
/*--------------------------------------------------*/

.c-step-title {
	display: grid;
	grid-template-columns: 64px 102px auto;
	grid-template-rows: repeat(2, auto);
	gap: 8px;
	grid-template-areas:
		"a b c"
		"a d d";

	width: fit-content;
	margin-top: 0 !important;
	padding-bottom: 0 !important;
	border-bottom: 0 !important;
	text-align: left !important;
}

.c-step-title__icon  { grid-area: a; }
.c-step-title__badge { grid-area: b; }
.c-step-title__lead  { grid-area: c; }
.c-step-title__text  { grid-area: d; }

.c-step-title__text {
	font-weight: 300;
	font-size: 1.5rem;
}

@media (max-width: 767px) {
	.c-step-title {
		display: block;
		width: auto;
		text-align: center !important;
	}

	.c-step-title__icon > img {
		width: 32px;
		height: auto;
	}

	.c-step-title__icon,
	.c-step-title__badge {
		display: inline-block;
	}

	.c-step-title__badge {
		vertical-align: 3px;
		margin-left: 8px;
	}

	.c-step-title__lead,
	.c-step-title__text {
		margin-top: 8px;
	}
}

/* c-step-subtitle
------------------------------------------*/

.c-step-subtitle {
	margin: 30px 0 8px !important;
	padding: 3px 10px;
	background-color: #F2F2F7;
	font-size: 2rem !important;
	font-weight: bold;
}

/*--------------------------------------------------*/
/* c-step-badge */
/*--------------------------------------------------*/

.c-step-badge {
	display: inline-block;
	padding: 3px 19px;
	border-radius: 19px;
	background-color: #0072bc;
	font-weight: 700;
	font-size: 1.5rem;
	color: #fff;
	text-align: center;
}

@media (max-width: 767px) {
	.c-step-badge {
		font-size: 1.3rem;
	}
}

/*--------------------------------------------------*/
/* c-step-btns */
/*--------------------------------------------------*/

.c-step-btns {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 30px;
	padding: 20px;
}

@media (max-width: 767px) {
	.c-step-btns {
		gap: 15px;
		padding-inline: 15px;
	}
}

.c-step-btn {
	width: min(220px, 50%);
	padding: 11px 30px 10px;
	margin-bottom: -2px;
	box-shadow: 0 3px 0 #0072bc;
	border: 2px solid #0072bc;
	border-radius: 8px;
	background: #fff no-repeat;
	background-size: 7px 12px;
	color: #0072bc;

	appearance: none;
	cursor: pointer;
	line-height: 1.6;
	font-weight: 700;
	font-size: 100%;
	font-family: inherit;
	font-feature-settings: "palt";
	text-decoration: none;
}

.c-step-btn:hover {
	background-color: #f2faff;
}

.c-step-btn:active {
	box-shadow: 0 0 0 #0072bc;
	transform: translateY(5px);
}

.c-step-btn--prev {
	background-image: url(/cmn3/img/icon/ic_arrow_left.svg);
	background-position: 5% 50%;
}

.c-step-btn--next {
	background-image: url(/cmn3/img/icon/ic_arrow_right.svg);
	background-position: 95% 50%;
}
